MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002397ATutorEnrollmentpublic2006-05-07 07:542006-05-24 11:56
Reportergreg 
Assigned Touser2 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.3 
Summary0002397: students receive other students pwds
Descriptionin 1.5.2 Students added to a course through the enrollment manager create list recieve others login info. First users added recieves his info. 2nd user recieves his info and info for user 1. 3rd user recieves his info and info for 2nd and 1st users. This is reproducable on the demo site.

see: http://www.atutor.ca/view/7/7964/1.html [^]

This is serious, so a patch needs to be posted asap.
TagsNo tags attached.
Affects version1.5.2
SVN Revision#
Attached Files

- Relationships

-  Notes
(0001789)
greg (administrator)
2006-05-07 08:10
edited on: 2006-05-07 15:15

The $body variable in include/lib/enrol.inc.php needs to be unset.

I have posted the fix, so check SVN re: 1.5.3 and add unset($body) where the mail function runs.

http://www.atutor.ca/view/7/7964/1.html [^]


- Issue History
Date Modified Username Field Change
2006-05-07 07:54 greg New Issue
2006-05-07 08:10 greg Note Added: 0001789
2006-05-07 15:15 greg Note Edited: 0001789
2006-05-12 08:33 user2 Affects version => 1.5.2
2006-05-12 08:33 user2 Priority normal => high
2006-05-12 08:33 user2 Priority high => urgent
2006-05-16 06:58 user2 Status new => resolved
2006-05-16 06:58 user2 Fixed in Version => 1.5.3
2006-05-16 06:58 user2 Resolution open => fixed
2006-05-16 06:58 user2 Assigned To => user2
2006-05-24 11:56 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker